API ReferenceapiaccountingGET /v1/accounts/{id}/balance

GET /v1/accounts/\{id\}/balance

Service: accounting · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Account with computed balance

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "type": {
      "type": "string"
    },
    "currency": {
      "type": "string"
    },
    "metadata": {
      "type": [
        "object",
        "null"
      ],
      "additionalProperties": {}
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    },
    "balance_cents": {
      "type": "string",
      "description": "Balance in cents as string (bigint)"
    }
  },
  "required": [
    "id",
    "name",
    "type",
    "currency",
    "metadata",
    "created_at",
    "updated_at",
    "balance_cents"
  ]
}

404 Account not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://accounting.platform.loop.health/v1/accounts/{id}/balance \
  -H "Authorization: Bearer $ACCESS_TOKEN"